<!doctype html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="generator" content="Asciidoctor 2.0.23">
  <meta name="author" content="Copyright (c) 2010, 2025 Contributors to the Eclipse Foundation">
  <link rel="icon" type="image/png" href="../favicon.png">
  <title>Working with projects, directories, and files | Eclipse ESCET™ general toolkit documentation</title>
  <link rel="stylesheet" href="../assets/asciidoctor-escet-project.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" href="../assets/styles/asciidoctor-highlightjs-escet.min.css"><!--
  Copyright (c) 2010, 2025 Contributors to the Eclipse Foundation

  See the NOTICE file(s) distributed with this work for additional
  information regarding copyright ownership.

  This program and the accompanying materials are made available under the terms
  of the MIT License which is available at https://opensource.org/licenses/MIT

  SPDX-License-Identifier: MIT
-->
  <meta name="robots" content="noindex">
  <script type="text/javascript" src="../assets/asciidoctor-escet-project.js"></script>
 </head>
 <body class="book toc2 toc-left" onload="onLoad()">
  <div id="header">
   <div id="toc" class="toc2">
    <p class="website-link">Part of: <a href="..">Eclipse ESCET™ website</a></p>
    <div id="toctitle">
     Eclipse ESCET™ general toolkit documentation
    </div>
    <ul class="sectlevel1">
     <li class="toc-item">
      <div class="toc-item-marker"></div><a href="../documentation.html">Home</a></li>
     <li class="toc-cur-page-ancestor toc-item toc-item-parent expanded">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="index.html">Using the Eclipse ESCET IDE</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="starting-first-time.html">Starting Eclipse ESCET IDE for the first time</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="update.html">Updating Eclipse ESCET IDE</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="remove.html">Removing Eclipse ESCET IDE</a></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="terminology.html">Eclipse terminology</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="terminology.html#eclipse-workspace">Eclipse workspace</a></li>
         <li class="toc-item toc-item-parent">
          <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="terminology.html#eclipse-views">Eclipse views</a>
          <ul class="sectlevel4">
           <li class="toc-item">
            <div class="toc-item-marker"></div><a href="terminology.html#opening-a-view">Opening a view</a></li>
          </ul></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="terminology.html#eclipse-projects">Eclipse projects</a></li>
        </ul></li>
       <li class="toc-cur-page toc-item toc-item-parent expanded">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="#">Working with projects, directories, and files</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="#creating-a-new-project">Creating a new project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="#importing-an-existing-project">Importing an existing project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="#removing-a-project-from-eclipse">Removing a project from Eclipse</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="#creating-a-new-directory">Creating a new directory</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="#creating-a-new-file">Creating a new file</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="#renaming-a-file-directory-or-project">Renaming a file, directory, or project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="#locating-files-directories-and-projects">Locating files, directories, and projects</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="#refreshing-a-file-directory-or-project">Refreshing a file, directory, or project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="#checking-the-size-of-a-file">Checking the size of a file</a></li>
        </ul></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="edit-exec.html">Editing files and executing commands</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="edit-exec.html#editing-a-text-file">Editing a text file</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="edit-exec.html#executing-commands">Executing commands</a></li>
        </ul></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="escet-perspective.html">Eclipse ESCET perspective</a></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="apps-view.html">Applications view</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#opening-the-view">Opening the view</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#application-status">Application status</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#termination">Termination</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#removal">Removal</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#expansion">Expansion</a></li>
        </ul></li>
      </ul></li>
     <li class="toc-item toc-item-parent">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../performance/index.html">Resolving performance and memory problems</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../performance/clear-console.html">Clearing the console</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../performance/reduce-console-output.html">Reducing console output</a></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../performance/close-running-apps.html">Closing running applications</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/close-running-apps.html#application-management-via-the-applications-view">Application management via the applications view</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/close-running-apps.html#application-management-via-the-console-view">Application management via the console view</a></li>
        </ul></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../performance/tweak-perf-settings.html">Tweaking performance settings</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#quick-and-dirty-solution">Quick and dirty solution</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#managed-memory-and-garbage-collection">Managed memory and garbage collection</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#different-types-of-memory">Different types of memory</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#benefits-of-increasing-the-available-memory">Benefits of increasing the available memory</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#available-settings">Available settings</a></li>
         <li class="toc-item toc-item-parent">
          <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../performance/tweak-perf-settings.html#changing-memory-settings">Changing memory settings</a>
          <ul class="sectlevel4">
           <li class="toc-item">
            <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#miscellaneous-troubleshooting">Miscellaneous troubleshooting</a></li>
          </ul></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#practical-hints-to-solve-performance-and-memory-problems">Practical hints to solve performance and memory problems</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#monitoring-eclipse-heap-status">Monitoring Eclipse heap status</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#monitoring-with-visualvm">Monitoring with VisualVM</a></li>
        </ul></li>
      </ul></li>
     <li class="toc-item toc-item-parent">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../tools/dsm-clustering.html">Design Structure Matrix (DSM) clustering</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#starting-the-clustering-tool">Starting the clustering tool</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#options">Options</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#dsm-file-format">DSM file format</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#computing-a-clustered-dsm">Computing a clustered DSM</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#bus-detection-algorithms">Bus detection algorithms</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#references">References</a></li>
      </ul></li>
     <li class="toc-item toc-item-parent">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../release-notes.html">Eclipse ESCET release notes</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-7-0">Version 7.0</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-6-0-2024-12-20">Version 6.0 (2024-12-20)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-5-0-2024-10-03">Version 5.0 (2024-10-03)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-4-0-2024-06-30">Version 4.0 (2024-06-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-3-0-2024-03-31">Version 3.0 (2024-03-31)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-2-0-2023-12-22">Version 2.0 (2023-12-22)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-1-0-2023-09-30">Version 1.0 (2023-09-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-10-2023-06-30">Version 0.10 (2023-06-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-9-2023-03-31">Version 0.9 (2023-03-31)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-8-2022-12-21">Version 0.8 (2022-12-21)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-7-2022-09-30">Version 0.7 (2022-09-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-6-2022-07-07">Version 0.6 (2022-07-07)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-5-2022-03-29">Version 0.5 (2022-03-29)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-4-2021-12-17">Version 0.4 (2021-12-17)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-3-2021-10-01">Version 0.3 (2021-10-01)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-2-2021-07-07">Version 0.2 (2021-07-07)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-1-2021-04-02">Version 0.1 (2021-04-02)</a></li>
      </ul></li>
     <li class="toc-item">
      <div class="toc-item-marker"></div><a href="../documentation-legal.html">Legal</a></li>
    </ul>
   </div>
  </div>
  <div id="content">
   <div id="breadcrumbs">
    <a class="breadcrumb" href="../documentation.html">Eclipse ESCET™ general toolkit documentation</a> &gt; <a class="breadcrumb" href="index.html">Using the Eclipse ESCET IDE</a> &gt; <span class="breadcrumb">Working with projects, directories, and files</span>
   </div>
   <h2 id="working-with-projects-directories-and-files"><a class="anchor" href="#"></a>Working with projects, directories, and files</h2>
   <div class="paragraph">
    <p>Eclipse uses <a href="terminology.html#eclipse-projects">projects</a> to manage files and directories (also called <em>folders</em>). This section contains information on the following topics:</p>
   </div>
   <div class="ulist">
    <ul>
     <li>
      <p><a href="#creating-a-new-project">Creating a new project</a></p></li>
     <li>
      <p><a href="#importing-an-existing-project">Importing an existing project</a></p></li>
     <li>
      <p><a href="#creating-a-new-directory">Creating a new directory</a></p></li>
     <li>
      <p><a href="#creating-a-new-file">Creating a new file</a></p></li>
     <li>
      <p><a href="#renaming-a-file-directory-or-project">Renaming a file, directory, or project</a></p></li>
     <li>
      <p><a href="#locating-files-directories-and-projects">Locating files, directories, and projects</a></p></li>
     <li>
      <p><a href="#refreshing-a-file-directory-or-project">Refreshing a file, directory, or project</a></p></li>
    </ul>
   </div>
   <div class="sect3">
    <h3 id="creating-a-new-project"><a class="anchor" href="#creating-a-new-project"></a>Creating a new project</h3>
    <div class="paragraph">
     <p>To create a new project, ensure you have either the <em>Project Explorer</em> or <em>Package Explorer</em> <a href="terminology.html#eclipse-views">view</a> visible.</p>
    </div>
    <div class="paragraph">
     <p>Select <span class="menuseq"><b class="menu">File</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="submenu">New</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Project…​</b></span> to open the <em>New Project</em> window. Alternatively, right click somewhere in the <em>Project Explorer</em> or <em>Package Explorer</em> view, and select <span class="menuseq"><b class="menu">New</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Project…​</b></span>, to open the same window.</p>
    </div>
    <div class="paragraph">
     <p>In the <em>New Project</em> window, from the <em>General</em> category select <em>Project</em>, and click the <b class="button">Next &gt;</b> button.</p>
    </div>
    <div class="paragraph">
     <p>In the next window, enter a project name, for example <code>models</code>.</p>
    </div>
    <div class="paragraph">
     <p>By default, a project is created inside your <a href="terminology.html#eclipse-workspace">workspace</a> directory. If you want it at a different place (so you can remove the workspace without losing your projects), uncheck the <em>Use default location</em> option, and enter a <em>Location</em>. Make sure the location does not yet exist, for example by ending with the project name. It is recommended to always create a project in a directory that has the same name as the project.</p>
    </div>
    <div class="paragraph">
     <p>Click the <b class="button">Finish</b> button to create the project. Observe how it appears in the <em>Project Explorer</em> or <em>Package Explorer</em> view.</p>
    </div>
   </div>
   <div class="sect3">
    <h3 id="importing-an-existing-project"><a class="anchor" href="#importing-an-existing-project"></a>Importing an existing project</h3>
    <div class="paragraph">
     <p>If you previously created a project, but it is no longer visible in your <em>Project Explorer</em> or <em>Package Explorer</em> <a href="terminology.html#eclipse-views">view</a>, you can import it. Imported projects are <em>linked</em> to your <a href="terminology.html#eclipse-workspace">workspace</a>, but remain in their original location on your hard disk (by default, they are <em>not</em> moved or copied to your workspace directory).</p>
    </div>
    <div class="paragraph">
     <p>Importing existing projects is particularly useful if you removed you workspace directory and started with a fresh one, e.g. for a new installation.</p>
    </div>
    <div class="paragraph">
     <p>To import one or more existing projects, select <span class="menuseq"><b class="menu">File</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Import…​</b></span> to open the <em>Import</em> window. Alternatively, right click somewhere in the <em>Project Explorer</em> or <em>Package Explorer</em> view, and select <b class="menuref">Import…​</b> to open the same window.</p>
    </div>
    <div class="paragraph">
     <p>In the <em>Import</em> window, from the <em>General</em> category, select <em>Existing Projects into Workspace</em>, and click <b class="button">Next &gt;</b>.</p>
    </div>
    <div class="paragraph">
     <p>In the next window, in <em>Select root directory</em>, point it to the directory that contains the project you wish to import. The available projects in the given root directory, and all its sub-directories (recursively), are listed in the <em>Projects</em> list. Select the project(s) you want to import, by checking the relevant check boxes, and click <b class="button">Finish</b>. Observe how the project(s) appear(s) in the <em>Project Explorer</em> or <em>Package Explorer</em> view.</p>
    </div>
   </div>
   <div class="sect3">
    <h3 id="removing-a-project-from-eclipse"><a class="anchor" href="#removing-a-project-from-eclipse"></a>Removing a project from Eclipse</h3>
    <div class="paragraph">
     <p>To remove a project from Eclipse, ensure you have either the <em>Project Explorer</em> or <em>Package Explorer</em> <a href="terminology.html#eclipse-views">view</a> visible.</p>
    </div>
    <div class="paragraph">
     <p>Right click the project in the <em>Project Explorer</em> or <em>Package Explorer</em> view and choose <b class="menuref">Delete</b>. Alternatively, select it and press the <kbd>Delete</kbd> key on your keyboard. The <em>Delete Resources</em> dialog appears. To only remove the project from Eclipse, and keep the files on your hard disk, disable the <em>Delete project contents on disk (cannot be undone)</em> option and click the <b class="button">OK</b> button. Alternatively, to remove the project from Eclipse and also remove all the files in the project from your hard disk, enable the <em>Delete project contents on disk (cannot be undone)</em> option and click the <b class="button">OK</b> button.</p>
    </div>
    <div class="paragraph">
     <p>Wait for Eclipse to complete the removal operation.</p>
    </div>
   </div>
   <div class="sect3">
    <h3 id="creating-a-new-directory"><a class="anchor" href="#creating-a-new-directory"></a>Creating a new directory</h3>
    <div class="paragraph">
     <p>You can structure large collections of files, by putting them into different directories (also called <em>folders</em>). Directories can only be created in <a href="terminology.html#eclipse-projects">projects</a>, or in other directories.</p>
    </div>
    <div class="paragraph">
     <p>Select the project or directory in which you want to create a new directory (by left clicking its name in the <em>Project Explorer</em> or <em>Package Explorer</em> <a href="terminology.html#eclipse-views">view</a>, and create a new directory by selecting <span class="menuseq"><b class="menu">File</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="submenu">New</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Folder</b></span>. Alternatively, right click on the project or directory instead, and from the popup menu select <span class="menuseq"><b class="menu">New</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Folder</b></span>.</p>
    </div>
    <div class="paragraph">
     <p>In the <em>New Folder</em> window, enter the <em>Folder name</em>, and click <b class="button">Finish</b>.</p>
    </div>
   </div>
   <div class="sect3">
    <h3 id="creating-a-new-file"><a class="anchor" href="#creating-a-new-file"></a>Creating a new file</h3>
    <div class="paragraph">
     <p>Select the <a href="terminology.html#eclipse-projects">project</a> or directory in which you want to create a new file (by left clicking its name in the <em>Project Explorer</em> or <em>Package Explorer</em> <a href="terminology.html#eclipse-views">view</a>), and create a new file by selecting <span class="menuseq"><b class="menu">File</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="submenu">New</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">File</b></span>. Alternatively, right click on the project or directory instead, and from the popup menu select <span class="menuseq"><b class="menu">New</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">File</b></span>.</p>
    </div>
    <div class="paragraph">
     <p>In the <em>New File</em> window, enter the <em>File name</em>, and click <b class="button">Finish</b>. Make sure to give the file the correct file extension, for example CIF files should end with <code>.cif</code>.</p>
    </div>
    <div class="paragraph">
     <p>An editor for the new file opens, and you can start <a href="edit-exec.html#editing-a-text-file">editing it</a>.</p>
    </div>
   </div>
   <div class="sect3">
    <h3 id="renaming-a-file-directory-or-project"><a class="anchor" href="#renaming-a-file-directory-or-project"></a>Renaming a file, directory, or project</h3>
    <div class="paragraph">
     <p>To rename a file, directory, or <a href="terminology.html#eclipse-projects">project</a>, select it by left clicking its name in the <em>Project Explorer</em> or <em>Package Explorer</em> <a href="terminology.html#eclipse-views">view</a>, and then select <span class="menuseq"><b class="menu">File</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Rename…​</b></span>. Alternatively, right click on the file, directory, or project instead, and from the popup menu select <span class="menuseq"><b class="menu">Refactor</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Rename…​</b></span>. A second alternative is to select the file, directory, or project, and then press the <kbd>F2</kbd> key.</p>
    </div>
    <div class="paragraph">
     <p>In the <em>Rename Resource</em> window, enter the <em>New name</em>, and click <b class="button">OK</b>.</p>
    </div>
   </div>
   <div class="sect3">
    <h3 id="locating-files-directories-and-projects"><a class="anchor" href="#locating-files-directories-and-projects"></a>Locating files, directories, and projects</h3>
    <div class="paragraph">
     <p>Often, it is convenient to be able to manage files not from inside Eclipse, but from outside Eclipse, for instance in a file explorer provided by your operating system. The <em>Properties</em> <a href="terminology.html#eclipse-views">view</a> can be used to find out where the files, directories, and projects that are in Eclipse, are located on your hard disk. With the <em>Properties</em> view visible, select a file, directory, or project in the <em>Project Explorer</em> or <em>Package Explorer</em> view. In the <em>Property</em> column of the <em>Properties</em> view, look for <em>location</em>. The corresponding <em>Value</em> indicates where the file, directory, or project is located on your hard disk. Note that you can right click the location and choose <b class="menuref">Copy</b> to copy the location to the clipboard.</p>
    </div>
    <div class="paragraph">
     <p>As an alternative to the <em>Properties</em> view, you can also use the <em>Properties</em> window. Right click a file, directory, or project in the <em>Project Explorer</em> or <em>Package Explorer</em> view and choose <b class="menuref">Properties</b>. In the window that shows, select <em>Resource</em> on the left, if it is not already selected. Then, on the right, look for the <em>Location</em>.</p>
    </div>
    <div class="paragraph">
     <p>To directly open the directory that contains a file, directory, or project in your system’s file explorer, right click the file, directory, or project in the <em>Project Explorer</em> or <em>Package Explorer</em> view and choose <span class="menuseq"><b class="menu">Show In</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">System Explorer</b></span>.</p>
    </div>
    <div class="paragraph">
     <p>Don’t forget to <a href="#refreshing-a-file-directory-or-project">refresh</a> your projects in Eclipse after manipulating them outside Eclipse.</p>
    </div>
   </div>
   <div class="sect3">
    <h3 id="refreshing-a-file-directory-or-project"><a class="anchor" href="#refreshing-a-file-directory-or-project"></a>Refreshing a file, directory, or project</h3>
    <div class="paragraph">
     <p>Whenever changes are made to files or directories from outside Eclipse, and those files or directories are also in one of the projects inside Eclipse, the changes are <em>not</em> always automatically reflected in the <em>Project Explorer</em> or <em>Package Explorer</em> <a href="terminology.html#eclipse-views">view</a>. To ensure that the current state of the files and directories are properly reflected in Eclipse, a refresh is required. To refresh a file, directory, or project, right click it, and choose <b class="menuref">Refresh</b>. Any files and directories that no longer exist will disappear from Eclipse. Any new files and directories created outside Eclipse will appear in Eclipse as well.</p>
    </div>
   </div>
   <div class="sect3">
    <h3 id="checking-the-size-of-a-file"><a class="anchor" href="#checking-the-size-of-a-file"></a>Checking the size of a file</h3>
    <div class="paragraph">
     <p>When working with files, you may occasionally encounter large files. Opening large files in Eclipse can cause serious <a href="../performance/index.html">performance problems</a>. You can use the <em>Properties</em> <a href="terminology.html#eclipse-views">view</a> to check the size of a file. With the <em>Properties</em> view visible, select a file in the <em>Project Explorer</em> or <em>Package Explorer</em> view. In the <em>Property</em> column of the <em>Properties</em> view, look for <em>size</em>. The corresponding <em>Value</em> indicates the size of the file.</p>
    </div>
    <div class="paragraph">
     <p>As an alternative to the <em>Properties</em> view, you can also use the <em>Properties</em> window. Right click a file in the <em>Project Explorer</em> or <em>Package Explorer</em> view and choose <b class="menuref">Properties</b>. In the window that shows, select <em>Resource</em> on the left, if it is not already selected. Then, on the right, look for the <em>Size</em>.</p>
    </div>
   </div>
  </div>
  <script src="../assets/highlight.min.js"></script>
  <script src="../assets/languages/asciidoc.min.js"></script>
  <script src="../assets/languages/bash.min.js"></script>
  <script src="../assets/languages/bnf.min.js"></script>
  <script src="../assets/languages/c.min.js"></script>
  <script src="../assets/languages/chi.min.js"></script>
  <script src="../assets/languages/cif.min.js"></script>
  <script src="../assets/languages/console.min.js"></script>
  <script src="../assets/languages/css.min.js"></script>
  <script src="../assets/languages/dsm.min.js"></script>
  <script src="../assets/languages/java.min.js"></script>
  <script src="../assets/languages/javascript.min.js"></script>
  <script src="../assets/languages/markdown.min.js"></script>
  <script src="../assets/languages/mcrl2.min.js"></script>
  <script src="../assets/languages/none.min.js"></script>
  <script src="../assets/languages/plcst.min.js"></script>
  <script src="../assets/languages/properties.min.js"></script>
  <script src="../assets/languages/python.min.js"></script>
  <script src="../assets/languages/raildiagram.min.js"></script>
  <script src="../assets/languages/setext.min.js"></script>
  <script src="../assets/languages/shell.min.js"></script>
  <script src="../assets/languages/tooldef.min.js"></script>
  <script src="../assets/languages/xml.min.js"></script>
  <script>
if (!hljs.initHighlighting.called) {
  hljs.initHighlighting.called = true
  ;[].slice.call(document.querySelectorAll('pre.highlight > code[data-lang]')).forEach(function (el) { hljs.highlightElement(el) })
}
</script>
  <script type="text/x-mathjax-config">
MathJax.Hub.Config({
  messageStyle: "none",
  tex2jax: {
    inlineMath: [["\\(", "\\)"]],
    displayMath: [["\\[", "\\]"]],
    ignoreClass: "nostem|nolatexmath"
  },
  asciimath2jax: {
    delimiters: [["\\$", "\\$"]],
    ignoreClass: "nostem|noasciimath"
  },
  TeX: { equationNumbers: { autoNumber: "none" } }
})
MathJax.Hub.Register.StartupHook("AsciiMath Jax Ready", function () {
  MathJax.InputJax.AsciiMath.postfilterHooks.Add(function (data, node) {
    if ((node = data.script.parentNode) && (node = node.parentNode) && node.classList.contains("stemblock")) {
      data.math.root.display = "block"
    }
    return data
  })
})
</script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.9/MathJax.js?config=TeX-MML-AM_HTMLorMML"></script><!--
  Copyright (c) 2010, 2025 Contributors to the Eclipse Foundation

  See the NOTICE file(s) distributed with this work for additional
  information regarding copyright ownership.

  This program and the accompanying materials are made available under the terms
  of the MIT License which is available at https://opensource.org/licenses/MIT

  SPDX-License-Identifier: MIT
-->
  <div id="footer">
   <div id="footer-text">
    <span>Eclipse ESCET™ general toolkit documentation</span> | <span>Copyright (c) 2010, 2025 Contributors to the Eclipse Foundation</span> | <span>version nightly-20250306-101218</span>
    <br><a href="https://www.eclipse.org">Eclipse Home</a> | <a href="https://www.eclipse.org/legal/privacy.php">Privacy Policy</a> | <a href="https://www.eclipse.org/legal/termsofuse.php">Terms of Use</a> | <a href="https://www.eclipse.org/legal/copyright.php">Copyright Agent</a> | <a href="https://www.eclipse.org/legal">Eclipse Legal</a>
   </div>
  </div>
 </body>
</html>